### Method

# RB StringValueMap set

#### Declaration [src]

    void
    rb_string_value_map_set (
      RBStringValueMap* map,
      const char* key,
      const GValue* value
    )

#### Description [src]

Inserts a value into the map. The value is copied.

#### Parameters

`key`

  Type: `const char*`

  Key to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  Value to store.

  The data is owned by the caller of the method.